FEM ConstraintSelfWeight/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "MES: Zdefiniuj ciężar własny")
 
(Updating to match new version of source page)
Line 2: Line 2:


{{Docnav
{{Docnav
|[[FEM_ConstraintPressure|Constraint pressure]]
|[[FEM_ConstraintCentrif|Constraint centrif]]
|[[FEM_ConstraintInitialTemperature|Constraint initial temperature]]
|[[FEM_ConstraintInitialTemperature|Constraint initial temperature]]
|[[FEM_Workbench|FEM]]
|[[FEM_Workbench|FEM]]
|IconL=FEM_ConstraintPressure.svg
|IconL=FEM_ConstraintCentrif.svg
|IconR=FEM_ConstraintInitialTemperature.svg
|IconR=FEM_ConstraintInitialTemperature.svg
|IconC=Workbench_FEM.svg
|IconC=Workbench_FEM.svg
Line 30: Line 30:
==Scripting==
==Scripting==


'''New object'''
New object:

{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
ObjectsFem.makeConstraintSelfWeight(name)
}}
}}


'''Add object to the analysis named Analysis'''
Add object to the analysis named Analysis:

{{Code|code=
{{Code|code=
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [(object)]
}}
}}


'''Example:'''
Example:

{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
selfweight_obj = ObjectsFem.makeConstraintSelfWeight("MySelfWeightObject")
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

}}
}}


== Solver CalculiX ==
== Solver CalculiX ==

===Limitations===
===Limitations===

*You need to modify .inp file to edit gravity acceleration.
*You need to modify .inp file to edit gravity acceleration.
*Self weight is applied to the element set Eall means to the whole model.
*Self weight is applied to the element set Eall means to the whole model.


===Editing CalculiX input file===
===Editing CalculiX input file===

Acceleration constant can be edited by hand modification after generating CalculiX input file.
Acceleration constant can be edited by hand modification after generating CalculiX input file.


Example of lines in .inp file:
Example of lines in .inp file:

{{Code|code=
{{Code|code=
*DLOAD
*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0
Eall,GRAV,9810,0.0,0.0,-1.0
}}
}}

where 9810 is gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is direction vector.
where 9810 is gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is direction vector.


== Solver Z88 ==
== Solver Z88 ==

* not implemented in Z88 solver (March 2017)
* not implemented in Z88 solver (March 2017)




{{Docnav
{{Docnav
|[[FEM_ConstraintPressure|Constraint pressure]]
|[[FEM_ConstraintCentrif|Constraint centrif]]
|[[FEM_ConstraintInitialTemperature|Constraint initial temperature]]
|[[FEM_ConstraintInitialTemperature|Constraint initial temperature]]
|[[FEM_Workbench|FEM]]
|[[FEM_Workbench|FEM]]
|IconL=FEM_ConstraintPressure.svg
|IconL=FEM_ConstraintCentrif.svg
|IconR=FEM_ConstraintInitialTemperature.svg
|IconR=FEM_ConstraintInitialTemperature.svg
|IconC=Workbench_FEM.svg
|IconC=Workbench_FEM.svg

Revision as of 09:50, 16 February 2022

FEM ConstraintSelfWeight

Menu location
Model → Mechanical Constraints → Constraint self weight
Workbenches
FEM
Default shortcut
None
Introduced in version
-
See also
FEM tutorial

Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

Usage

  1. There are several ways to invoke the command:
    • Press the FEM ConstraintSelfWeight button.
    • Select the Model → Mechanical Constraints → Constraint self weight option from the menu.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

New object:

import ObjectsFem
ObjectsFem.makeConstraintSelfWeight(name)

Add object to the analysis named Analysis:

App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [(object)]

Example:

import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight("MySelfWeightObject")
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is direction vector.

Solver Z88

  • not implemented in Z88 solver (March 2017)